<?php

namespace QUI\UserDownloads\Controls\Profile;

use QUI;
use QUI\Exception;
use QUI\FrontendUsers\Controls\Profile\AbstractProfileControl;
use QUI\UserDownloads\Handler;

class Downloads extends AbstractProfileControl
{
    /**
     * Constructor
     *
     * @param array $attributes
     */
    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);

        $this->addCSSFile(dirname(__FILE__) . '/Downloads.css');
//        $this->setJavaScriptControl('package/quiqqer/user-downloads/bin/js/frontend/controls/profile/Downloads');
    }

    /**
     * Return the inner body of the element
     * Can be overwritten
     *
     * @return string
     * @throws Exception
     */
    public function getBody(): string
    {
        $Engine = QUI::getTemplateManager()->getEngine();
        $User = QUI::getUserBySession();

        $Engine->assign([
            'downloadEntries' => Handler::getDownloadEntriesByUser($User)
        ]);

        return $Engine->fetch(dirname(__FILE__) . '/Downloads.html');
    }

    /**
     * Method is called, when on save is triggered
     */
    public function onSave(): void
    {
        // nothing to save
    }

    /**
     * Validate the send data
     */
    public function validate(): void
    {
        // nothing to validate
    }
}
