<?php

namespace QUI\UserDownloads;

use QUI;
use QUI\ERP\Products\Product\Types\DigitalProduct;
use QUI\Locale;

/**
 * Class DigitalProduct
 *
 * Represents a non-physical product that does not require shipping.
 */
class DownloadProductType extends DigitalProduct
{
    /**
     * @param QUI\Locale|null $Locale
     * @return string
     */
    public static function getTypeTitle(QUI\Locale $Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/user-downloads', 'product_type.DownloadProductType.title');
    }

    /**
     * @param Locale|null $Locale
     * @return string
     */
    public static function getTypeDescription(QUI\Locale $Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/user-downloads', 'product_type.DownloadProductType.description');
    }
}
